import { Meta, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import { action } from '@storybook/addon-actions';
import { text } from '@storybook/addon-knobs';

import Button, { ButtonBase } from './Button';

<Meta title="Generic/Button" component={Button} />

# Button

<ArgsTable of={ButtonBase} />

<Story name="with text">
  <Button
    onClick={action('onClick')}
  >
    {text('Content', 'Hello')}
  </Button>
</Story>
